import 'package:carousel_slider/carousel_slider.dart';
import 'package:flutter/material.dart';
import 'package:puma_ui/ui/widgets/carouselSlide.dart';

class Carousel extends StatefulWidget {
  final List<CarouselSlide> slides;

  const Carousel({
    required this.slides,
  });

  @override
  _CarouselState createState() => _CarouselState();
}

class _CarouselState extends State<Carousel> {
  int _current = 0;
  @override
  Widget build(BuildContext context) {
    final isDark = Theme.of(context).brightness == Brightness.dark;
    var color = isDark ? Colors.white : Colors.black;
    return Expanded(
      child: Container(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Container(
              child: CarouselSlider(
                items: widget.slides,
                options: CarouselOptions(
                    autoPlay: true,
                    enlargeCenterPage: true,
                    height: MediaQuery.of(context).size.height * 0.6 < 500
                        ? MediaQuery.of(context).size.height * 0.6
                        : 500,
                    aspectRatio: 2.0,
                    onPageChanged: (index, reason) {
                      setState(() {
                        _current = index;
                      });
                    }),
              ),
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: widget.slides.map((url) {
                int index = widget.slides.indexOf(url);
                return Container(
                  width: 8.0,
                  height: 8.0,
                  margin: EdgeInsets.symmetric(vertical: 10.0, horizontal: 2.0),
                  decoration: BoxDecoration(
                    shape: BoxShape.circle,
                    color: _current == index
                        ? color.withAlpha(200)
                        : color.withAlpha(90),
                  ),
                );
              }).toList(),
            )
          ],
        ),
      ),
    );
  }
}
