import 'package:flutter/material.dart';

class CarouselSlide extends StatelessWidget {
  final Image? image;
  final Widget? header;
  final String? title;
  final String? subtitle;

  CarouselSlide({
    this.image,
    this.subtitle,
    this.header,
    this.title,
  });

  Widget build(BuildContext context) {
    return SizedBox.expand(
        child: Container(
            child: Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        if (header != null) header!,
        if (image != null) Expanded(child: image!),
        Container(
            child: Padding(
          padding: const EdgeInsets.all(8.0),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              if (title != null)
                Text(
                  title!,
                  textAlign: TextAlign.center,
                  style: Theme.of(context).textTheme.headline6,
                ),
              if (subtitle != null)
                Text(
                  subtitle!,
                  textAlign: TextAlign.center,
                  style: Theme.of(context).textTheme.subtitle1,
                ),
            ],
          ),
        ))
      ],
    )));
  }
}
