import 'package:flutter/material.dart';

class PumaChip extends StatelessWidget {
  final Widget? icon;
  final Widget? text;

  PumaChip({
    this.icon,
    this.text,
  });

  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: Colors.grey.withAlpha(70),
        borderRadius: BorderRadius.circular(12),
      ),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          if (this.icon != null)
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: this.icon,
            ),
          if (this.text != null)
            Expanded(
                child: Padding(
              padding: const EdgeInsets.all(8.0),
              child: this.text,
            )),
        ],
      ),
    );
  }
}
