import 'package:flutter/material.dart';

class Disabled extends StatelessWidget {
  final Widget child;
  final bool noGrayScale;
  final bool disabled;
  final bool overrideTap;
  final void Function()? onInteractionAttempt;
  Disabled({
    required this.child,
    this.disabled = false,
    this.noGrayScale = false,
    this.overrideTap = true,
    this.onInteractionAttempt,
  });

  Widget build(BuildContext context) {
    const ColorFilter greyscale = ColorFilter.matrix(<double>[
      0.2126,
      0.7152,
      0.0722,
      0,
      0,
      0.2126,
      0.7152,
      0.0722,
      0,
      0,
      0.2126,
      0.7152,
      0.0722,
      0,
      0,
      0,
      0,
      0,
      1,
      0,
    ]);
    return GestureDetector(
      onTap: disabled && overrideTap ? onInteractionAttempt : null,
      child: Opacity(
        opacity: disabled && !noGrayScale ? 0.5 : 1,
        child: ColorFiltered(
            colorFilter: disabled && !noGrayScale
                ? greyscale
                : ColorFilter.mode(
                    Colors.transparent,
                    BlendMode.saturation,
                  ),
            child: AbsorbPointer(
              absorbing: disabled && overrideTap,
              child: child,
            )),
      ),
    );
  }
}
